#ifndef BASE_SETTINGS_H
#define BASE_SETTINGS_H

#include <qwidget.h>
#include <kconfig.h>

class QGridLayout;


//-----------------------------------------------------------------------------
class ConfigGroupSaver : public KConfigGroupSaver
{
public:
    ConfigGroupSaver();
};


//-----------------------------------------------------------------------------
class BaseAppearanceConfig : public QWidget
{
    Q_OBJECT
public:
    BaseAppearanceConfig();

    static uint blockSize();
    static double fadeIntensity();
    static QColor fadeColor();
    static bool isAnimationsEnabled();

    static bool isMenubarVisible();
    static void saveMenubarVisible(bool visible);

protected:
    QWidget     *_main;
    QGridLayout *_grid;
};

//-----------------------------------------------------------------------------
class ColorConfig : public QWidget
{
    Q_OBJECT
public:
    ColorConfig();

    static QColor color(uint i);

private:
    static QCString colorKey(uint i);
};

#endif
